<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button
    *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit"
     mbButtonTextColor="#141ED2" mbButtonText="Gửi nhân viên" mbButtonSize="MEDIUM" (click)="sendEmployee()">
  </mb-button>
  <mb-button
    *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit"
    mbButtonAvailableStyle="PRIMARY" mbButtonSize="LARGE" mbButtonType="NO_BORDER" mbButtonText="Lưu" (click)="saveEvaluateEmployeeResult()">
  </mb-button>
  <mb-button mbButtonAvailableStyle="PRIMARY" *ngIf="objFunction?.approve && inFormationDeTail?.flagStatus === processFlagStatus.CHO_PHE_DUYET_KQ && logic === 0"
             mbButtonSize="LARGE" mbButtonText="{{'common.button.confirm' | translate}}"
             mbButtonType="NO_BORDER" (click)="approveEmployeeResult()"></mb-button>
  <mb-button *ngIf="objFunction?.approve && inFormationDeTail?.flagStatus === processFlagStatus.CHO_PHE_DUYET_KQ && logic === 0" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.reject' | translate}}"
             mbButtonTextColor="#141ED2" (click)="showModalReject()"></mb-button>
</div>
<nz-card class="evaluate-employee-results-card">
  <div nz-row>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Mã nhân viên</label>
      </div>
      <span>{{inFormationDeTail && inFormationDeTail.empCode && inFormationDeTail.empCode}}</span>
    </div>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Họ và tên</label>
      </div>
      <span>{{inFormationDeTail && inFormationDeTail.fullName && inFormationDeTail.fullName}}</span>
    </div>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Position</label>
      </div>
      <span>{{inFormationDeTail && inFormationDeTail.posName && inFormationDeTail.posName}}</span>
    </div>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Trạng thái</label>
      </div>
      <span>{{inFormationDeTail && inFormationDeTail.flagStatus &&
      (renderFlagStatus(inFormationDeTail.flagStatus) | translate) }}</span>
    </div>
  </div>
  <div nz-row style="align-items: flex-end; margin-top: 22px;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">CBQL trực tiếp</label>
      </div>
      <span>{{inFormationDeTail?.directEmp}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Chức danh</label>
      </div>
      <span>{{inFormationDeTail?.directJobName}}</span>
    </div>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Kỳ đánh giá</label>
      </div>
      <span>{{inFormationDeTail && inFormationDeTail.periodName && inFormationDeTail.periodName}}</span>
    </div>
  </div>
  <div nz-row style="align-items: flex-end; margin-top: 22px;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6" *ngIf="inFormationDeTail?.indirectEmp">
      <div>
        <label style="font-weight: bold;">CBQL gián tiếp</label>
      </div>
      <span>{{inFormationDeTail?.indirectEmp}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6" *ngIf="inFormationDeTail?.indirectJobName">
      <div>
        <label style="font-weight: bold;">Chức danh</label>
      </div>
      <span>{{inFormationDeTail?.indirectJobName}}</span>
    </div>
  </div>
</nz-card>

<!--table show list data-->
<div style="margin-top: 22px;" class="container_main">
  <div nz-row *ngIf="listParentQLTT.length > 0">
    <div nz-col nzSpan="4" style="width:100px">
      <div style="padding: 12px 16px; background: #E8EAF6;border-top-left-radius: 8px;color: #4E4B66;
        font-family: avertaB,sans-serif;" class="header">
        Giao</div>
      <ng-container *ngFor="let data of listData; let i = index">
        <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;" *ngIf="data.assignedType === listAssingType[0].value"><span>{{ listAssingType[0].label }}</span></div>
      </ng-container>
      <ng-container *ngFor="let child of listParentQLTT; let i1 = index">
        <div *ngIf="i1 !== 0" style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;"></div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">

          </div>
        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
    <div nz-col nzSpan="3">
      <div style="padding: 12px 16px;  background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" class="header">
        Tên thẻ điểm
      </div>
      <ng-container *ngFor="let child of listParentQLTT; let i = index">
        <div style="height: 4.5rem;  border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.scoreCardName}}
        </div>


        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.scoreCardName}}
          </div>
        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
    <div nz-col nzSpan="4" style="background: white; border-bottom: 1px solid #D4D4D4">
      <div style="padding: 12px 0px; background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" class="header">
        Tên chỉ tiêu
      </div>
      <ng-container *ngFor="let child of listParentQLTT; let i = index">
        <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4; overflow:hidden; white-space:nowrap; text-overflow:ellipsis;background: white;
        display: flex;
        align-items: center;
         ">
          {{child.nameTarget}}
        </div>


        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="padding-left: 31px;border-bottom: 1px solid #D4D4D4;height: 4.5rem; overflow:hidden; white-space:nowrap; text-overflow:ellipsis;background: white;
              display: flex;
        align-items: center;
             ">
            {{subChlid.nameTarget}}
          </div>


        </ng-container>

      </ng-container>
      <div *ngIf="listParentQLTT.length !== 0" style="font-weight: bold; height: 4.5rem;padding: 12px 0px;
          background: white;
          border-bottom: 1px solid #D4D4D4; ">Điểm K ({{listDataQLTT[0]?.scaleNumSot * 100 + '%'}})</div>
    </div>

    <div nz-col nzSpan="3">
      <div style="padding: 12px 16px;background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" class="header">
        Tỷ trọng
      </div>
      <ng-container *ngFor="let child of listParentQLTT; let i = index">
        <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.scale}}
        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.scale}}
          </div>

        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
    <div nz-col nzSpan="2">
      <div style="padding: 12px 16px;background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" class="header">
       Gíá trị giao
      </div>
      <ng-container *ngFor="let child of listParentQLTT; let i = index">
        <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.estimateNum}}
        </div>


        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.estimateNum}}
          </div>


        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>


<!--    targetTypeName-->
    <div nz-col nzSpan="2">
      <div style="padding: 12px 16px;background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" class="header">
       {{'Loại KPI' | translate}}
      </div>
      <ng-container *ngFor="let child of listParentQLTT; let i = index">
        <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.targetTypeName}}
        </div>


        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.targetTypeName}}
          </div>


        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
    <!--    end targetTypeName-->


    <div nz-col nzSpan="2">
      <div style="padding: 12px 0px; background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" class="header">
        Kết quả
      </div>
      <ng-container *ngFor="let child of listParentQLTT; let i = index">
        <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white; display: flex; align-items: center;">
          <mb-input-text
            *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit && child.subs.length === 0"
            [mbShowFlexEnd]="false"
            mbInputType="number"
            [mbType]="child.isRequired ? 'error' : 'default'"
            [(ngModel)]="child.resultNum"
            minNumber="0"
            (mbChange)="filResult($event, child,listAssingType[0].value)"
          ></mb-input-text>
          <span
            *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus !==14 && inFormationDeTail.flagStatus !==15 ) &&  objFunction?.edit && child.subs.length === 0">{{child.resultNum}}</span>
        </div>

        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white; display: flex; align-items: center;">
            <mb-input-text
              *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit"
              [mbShowFlexEnd]="false"
              mbInputType="number"
              [mbType]="subChlid.isRequired ? 'error' : 'default'"
              [(ngModel)]="subChlid.resultNum"
              minNumber="0"
              (mbChange)="filResult($event, subChlid, listAssingType[0].value)"
            ></mb-input-text>
            <span
              *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus !==14 && inFormationDeTail.flagStatus !==15 ) &&  objFunction?.edit">{{subChlid.resultNum}}</span>
          </div>

        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
    <div nz-col nzSpan="2">
      <div style="padding: 12px 16px; background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" class="header">
        Điểm
      </div>
      <ng-container *ngFor="let child of listParentQLTT; let i = index">
        <div style="height: 4.5rem;text-align: center;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.point | number: '1.0-2'}}
        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;text-align: center;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.point | number: '1.0-2'}}
          </div>
        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;">{{totalPointQLTT | number: '1.0-2' }}</div>
    </div>
    <div nz-col nzSpan="2">
      <div style="padding: 12px 0px;background: #E8EAF6;border-top-right-radius: 8px;color: #4E4B66;
        font-family: avertaB,sans-serif;" class="header">
        Diễn giải
      </div>
      <ng-container *ngFor="let child of listParentQLTT; let i = index">
        <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          ">
          <mb-input-text
            *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit && child.subs.length === 0"
            [mbShowFlexEnd]="false"
            [(ngModel)]="child.description"
            (mbKeyup)="fillDesc($event,child, listAssingType[0].value)"
          ></mb-input-text>
          <span
            *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus !==14  && inFormationDeTail.flagStatus !==15) && objFunction?.edit">{{child.description}}</span>
        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
           ">
            <mb-input-text
              [mbShowFlexEnd]="false"
              *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit"
              (mbKeyup)="fillDesc($event,subChlid, listAssingType[0].value)" [(ngModel)]="subChlid.description"
              style="border-radius: 8px;"></mb-input-text>
            <span
              *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus !==14  && inFormationDeTail.flagStatus !==15) &&  objFunction?.edit">{{subChlid.description}}</span>
          </div>

        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
  </div>
  <div nz-row *ngIf="listParentHT.length > 0">
    <div nz-col nzSpan="4" style="width:100px;">
      <div style="padding: 12px 16px; background: #E8EAF6;border-top-left-radius: 8px; color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" >Giao</div>
      <ng-container *ngFor="let data of listData; let i = index">
        <div style="border-bottom: 1px solid #D4D4D4; height: 4.5rem;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;" *ngIf="data.assignedType === listAssingType[1].value">
          {{ listAssingType[1].label }}</div>
      </ng-container>
      <ng-container *ngFor="let child of listParentHT; let i1 = index">
        <div *ngIf="i1 !== 0" style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;"></div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
          </div>
        </ng-container>
      </ng-container>
      <div style="    padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
      <div style="font-weight: bold;padding: 12px 16px;
          background: white;
          height: 4.5rem;
          border-bottom: 1px solid #D4D4D4;color: #4E4B66;
    font-family: avertaB,sans-serif;">Tổng điểm X ({{listDataQLTT[0]?.scaleNumSot * 100 + '% K' + ' + ' + listDataHT[0]?.scaleNumSot * 100 +'% P'}}) x {{inFormationDeTail?.scaleNumAsm + ' Tỷ trọng các BCT'}}</div>
    </div>
    <div nz-col nzSpan="3">
      <div style="padding: 12px 16px;  background: #E8EAF6; color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" >
        Tên thẻ điểm
      </div>
      <ng-container *ngFor="let child of listParentHT; let i = index">
        <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4; background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.scoreCardName}}
        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.scoreCardName}}
          </div>
        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
      <div style="    padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
    <div nz-col nzSpan="4">
      <div style="padding: 12px 0px; background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" class="header">
        Tên chỉ tiêu
      </div>
      <ng-container *ngFor="let child of listParentHT; let i = index">
        <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
         align-items: center;
         ">
          {{child.nameTarget}}
        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="padding-left: 31px;height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
         align-items: center;
           ">
            {{subChlid.nameTarget}}
          </div>
        </ng-container>
      </ng-container>
      <div *ngIf="listParentHT.length > 0" style="font-weight: bold; height: 4.5rem;padding: 12px 0px;
          background: white;
          border-bottom: 1px solid #D4D4D4; ">Điểm P ({{listDataHT[0]?.scaleNumSot * 100 + '%'}})</div>
      <div style="    padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>

    <div nz-col nzSpan="3">
      <div style="padding: 12px 16px;background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" class="header">
        Tỷ trọng
      </div>

      <ng-container *ngFor="let child of listParentHT; let i = index">
        <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4; background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.scale}}
        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.scale}}
          </div>
        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
      <div style="    padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
    <div nz-col nzSpan="2">
      <div style="padding: 12px 16px;background: #E8EAF6; color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" class="header">
        Kế hoạch
      </div>

      <ng-container *ngFor="let child of listParentHT; let i = index">
        <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">

          {{child.estimateNum}}
        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.estimateNum}}
          </div>
        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
      <div style="    padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>

    <!--    targetTypeName-->

    <div nz-col nzSpan="2">
      <div style="padding: 12px 0px; background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" class="header">
        {{'Loại KPI' | translate}}
      </div>
      <ng-container *ngFor="let child of listParentHT; let i = index">
        <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.targetTypeName}}
        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.targetTypeName}}
          </div>
        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
<!--    targetTypeName-->

    <div nz-col nzSpan="2">
      <div style="padding: 12px 0px; background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" class="header">
        Kết quả
      </div>

      <ng-container *ngFor="let child of listParentHT; let i = index">
        <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white; display: flex; align-items: center;">
          <mb-input-text
            *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit && child.subs.length === 0"
            [mbShowFlexEnd]="false"
            mbInputType="number"
            [mbType]="child.isRequired ? 'error' : 'default'"
            [(ngModel)]="child.resultNum"
            minNumber="0"
            (mbChange)="filResult($event, child, listAssingType[1].value)"
          ></mb-input-text>
          <span
            *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus !==14 &&  inFormationDeTail.flagStatus !==15) &&  objFunction?.edit && child.subs.length === 0">
            {{child.resultNum}}</span>
        </div>

        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem; border-bottom: 1px solid #D4D4D4;background: white; display: flex; align-items: center;">
            <mb-input-text
              *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit"
              [mbShowFlexEnd]="false"
              mbInputType="number"
              [mbType]="subChlid.isRequired ? 'error' : 'default'"
              [(ngModel)]="subChlid.resultNum"
              minNumber="0"
              (mbChange)="filResult($event, subChlid, listAssingType[1].value)"
            ></mb-input-text>
            <span
              *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus !==14 &&  inFormationDeTail.flagStatus !==15) &&  objFunction?.edit">
              {{subChlid.resultNum}}</span>

          </div>

        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
      <div style="    padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
    <div nz-col nzSpan="2">
      <div style="padding: 12px 16px; background: #E8EAF6;color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" class="header">
        Điểm
      </div>

      <ng-container *ngFor="let child of listParentHT; let i = index">
        <div style="height: 4.5rem; text-align: center; border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
          padding: 12px 16px;">
          {{child.point | number: '1.0-2'}}
        </div>


        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;text-align: center;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
            padding: 12px 16px;">
            {{subChlid.point | number: '1.0-2'}}
          </div>


        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;">
        {{totalPointHT | number: '1.0-2'}}
      </div>
      <div style="padding: 12px 16px;
         background: white;
         height: 4.5rem;
         border-bottom: 1px solid #D4D4D4;">{{totalPointMain | number: '1.0-2' }}</div>
    </div>
    <div nz-col nzSpan="2">
      <div style="padding: 12px 0px;background: #E8EAF6;border-top-right-radius: 8px;color: #4E4B66;
      font-family: avertaB,sans-serif;" *ngIf="listParentQLTT.length === 0" class="header">
        Diễn giải
      </div>

      <ng-container *ngFor="let child of listParentHT; let i = index">
        <div style="height: 4.5rem;text-align: center;border-bottom: 1px solid #D4D4D4;background: white;
          display: flex;
          align-items: center;
         ">
          <mb-input-text
            *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit && child.subs.length === 0"
            [mbShowFlexEnd]="false"
            [(ngModel)]="child.description"
            (mbKeyup)="fillDesc($event,child,listAssingType[1].value)"
          ></mb-input-text>
          <span
            *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus !==14  && inFormationDeTail.flagStatus !==15) &&  objFunction?.edit">
            {{child.description}}</span>

        </div>
        <ng-container *ngFor="let subChlid of child.subs; let i = index">
          <div style="height: 4.5rem;text-align: center;border-bottom: 1px solid #D4D4D4;background: white;
            display: flex;
            align-items: center;
           ">
            <mb-input-text
              *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus ===14  || inFormationDeTail.flagStatus ===15) &&  objFunction?.edit"
              (mbKeyup)="fillDesc($event,subChlid,listAssingType[1].value)" [(ngModel)]="subChlid.description" [mbShowFlexEnd]="false"></mb-input-text>
            <span
              *ngIf="inFormationDeTail && (inFormationDeTail.flagStatus !==14  && inFormationDeTail.flagStatus !==15) &&  objFunction?.edit">
              {{subChlid.description}}</span>

          </div>
        </ng-container>
      </ng-container>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
      <div style="padding: 12px 16px;
        background: white;
        height: 4.5rem;
        border-bottom: 1px solid #D4D4D4;"></div>
    </div>
  </div>
</div>
<!--reject evaluation approval-->
<mb-modal-confirm #modalCompReject
                  [modalHeader]="'Từ chối giá trị giao kế hoạch'"
                  [isVisibleCorrectionDialog]='false'
                  (sendApprovedValid)='rejectPlanAssignment($event)'
                  [mbErrorDefs]="[
          { errorName: 'maxlength', errorDescription: 'goaManagement.validate.maxLength' | translate: {'numberLength': '250' }},
          { errorName: 'required', errorDescription: 'goaManagement.validate.required' | translate: {'param': 'targerManager.personalTargetList.label.table.reasonReject' | translate }},
          { errorName: 'noAllowSpace', errorDescription: 'goaManagement.validate.required' | translate: {'param': 'targerManager.personalTargetList.label.table.reasonReject' | translate }}]"
                  mbPlaceholderText="{{'targerManager.personalTargetList.label.table.inputReasonReject' | translate}}"
                  titleInputText="{{'targerManager.personalTargetList.label.table.inputReasonReject' | translate}}">
  >
</mb-modal-confirm>
